php try catch
snippet in php

php try catch

user6543


<?php
  
try {
	raiseErrorFunction();
	echo 'no error';
}
catch(Exception $e) {
	echo 'Message: ' . $e->getMessage();
}

?>

try catch c#

user6361

try
{
  int[] myNumbers = {1, 2, 3};
  Console.WriteLine(myNumbers[10]);
}
catch (Exception e)
{
  Console.WriteLine(e.Message);
}

try catch php

user8210

function inverso($x) {
    if (!$x) {
        throw new Exception('Zero division.');
    }
    return 1/$x;
}

try {
    echo inverso(5) . "\n";
    echo inverso(0) . "\n";
} catch (Exception $e) {
    echo 'and the error is: ',  $e->getMessage(), "\n";
}

php try catch

user4693


<?php

function test() {
    try {
        throw new Exception('foo');
    } catch (Exception $e) {
        return 'catch';
    } finally {
        return 'finally';
    }
}

echo test();
?>

php throw exception

user1079

function inverse($x) {
    if (!$x) {
        throw new Exception('Division by zero.');
    }
    return 1/$x;
}

try catch in php

user4222

Try catch comes under exception handeling concept where using this we control the runtime error and modify the message as we want.

// function created with exception throw
function checkdata($number){
	if($number > 10){
    	throw new Exception("Number is greater than 10");
    }
    return true;
}

// try block starts
try{
	checkdata(15);
  	echo "The number is below 10";
}
// catch block
catch(Exception $e){
	echo "Message :".$e->getMessage();
}

In above code if condition is not satisfied then it will throw exception and which gets caught by catch block and show the error message.